### Method

# Foundry DirectoryListing dup_directory

since: 1.1

#### Declaration [src]

    GFile*
    foundry_directory_listing_dup_directory (
      FoundryDirectoryListing* self
    )

#### Description [src]

Gets the directory for the listing.

Available since: 1.1

#### Return value

Type: `GFile`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.